<!DOCTYPE ucalendar
[
  <!ENTITY nbsp "&#160;">
]>
<%@ taglib uri='struts-bean' prefix='bean' %>
<%@ taglib uri='struts-logic' prefix='logic' %>
<%@ taglib uri='struts-html' prefix='html' %>
<%
try {
%>

<ucalendar>
  <now><%-- The actual date right "now" - this may not be the same as currentdate --%>
    <date><bean:write name="calForm" property="today.dateDigits"/></date><%--
      Value: YYYYMMDD --%>
    <longdate><bean:write name="calForm" property="today.longDateString"/></longdate><%--
      Value (example): February 8, 2004 - long representation of the date --%>
    <shortdate><bean:write name="calForm" property="today.dateString"/></shortdate><%--
      Value (example): 2/8/04 - short representation of the date --%>
    <time><bean:write name="calForm" property="today.timeString"/></time><%--
      Value (example): 10:15 PM --%>
  </now>
  <bean:define id="ctView" name="calForm" property="curTimeView"/>
  <currentdate><%-- The current user-selected date --%>
    <date><bean:write name="ctView" property="curDay.dateDigits"/></date><%--
      Value: yyyymmdd - date value --%>
    <longdate><bean:write name="ctView"
                          property="curDay.fullDateString"/></longdate><%--
      Value (example): Wednesday, February 11, 2004 --%>
    <shortdate><bean:write name="ctView" property="curDay.dateString"/></shortdate><%--
      Value (example): 2/8/04 - short representation of the date --%>
    <monthname><bean:write name="ctView" property="curDay.monthName"/></monthname><%--
      Value (example): January - full month name --%>
  </currentdate>
  <firstday><%-- The first date appearing in the currently selected time period --%>
    <date><bean:write name="ctView" property="firstDay.dateDigits"/></date><%--
      Value: yyyymmdd - date value --%>
    <longdate><bean:write name="ctView"
                          property="firstDay.fullDateString"/></longdate><%--
      Value (example): Wednesday, February 11, 2004 --%>
    <shortdate><bean:write name="ctView" property="firstDay.dateString"/></shortdate><%--
      Value (example): 2/8/04 - short representation of the date --%>
    <monthname><bean:write name="ctView" property="firstDay.monthName"/></monthname><%--
      Value (example): January - full month name --%>
  </firstday>
  <lastday><%-- The last date appearing in the currently selected time period --%>
    <date><bean:write name="ctView" property="lastDay.dateDigits"/></date><%--
      Value: yyyymmdd - date value --%>
    <longdate><bean:write name="ctView"
                          property="lastDay.fullDateString"/></longdate><%--
      Value (example): Wednesday, February 11, 2004 --%>
    <shortdate><bean:write name="ctView" property="lastDay.dateString"/></shortdate><%--
      Value (example): 2/8/04 - short representation of the date --%>
    <monthname><bean:write name="ctView" property="lastDay.monthName"/></monthname><%--
      Value (example): January - full month name --%>
  </lastday>
  <previousdate><bean:write name="ctView" property="prevDate"/></previousdate><%--
    Value: YYYYMMDD - The previous "firstdate" in the selected time period  --%>
  <nextdate><bean:write name="ctView" property="nextDate"/></nextdate><%--
    Value: YYYYMMDD - The next "firstdate" in the selected time period --%>
  <periodname><bean:write name="ctView" property="periodName"/></periodname><%--
    Values: Day, Week, Month, Year - The current time period name.   --%>
  <multiday><bean:write name="ctView" property="multiDay"/></multiday><%--
    Values: true, false - Flag if we are viewing multiple days --%>
  <hour24><bean:write name="calForm" property="hour24" /></hour24><%--
    Values: true, false - Flag if we are using 24 hour time --%>

  <title><bean:write name="calForm" property="calSvcI.calendarTitle"/></title><%--
    Value: string - Title of selected calendar filter for display --%>
  <calid><bean:write name="calForm" property="calSvcI.calendarTitle"/></calid><%--
    Value: string - String ID of selected calendar filter for display --%>
  <search><bean:write name="calForm" property="calSvcI.search"/></search><%--
    Value: string - Current search string for display --%>

  <publicview><bean:write name="calForm" property="publicView" /></publicview><%--
    Values: true, false - Flag if we are in the guest (public) view  --%>
  <guest><bean:write name="calForm" property="guest" /></guest><%--
    Value: true, false - Flag if we are a guest --%>
  <logic:equal name="calForm" property="guest" value="false">
    <userid><bean:write name="calForm" property="currentUser" /></userid><%--
      Value: string - Userid of non-guest user --%>
  </logic:equal>

  <logic:iterate id="msg" name="calForm" property="msg.msgList">
    <message>
      <id><bean:write name="msg" property="msgId" /></id>
      <logic:iterate id="param" name="msg" property="params" >
        <param><bean:write name="param" /></param>
      </logic:iterate>
    </message>
  </logic:iterate>

  <logic:iterate id="errBean" name="calForm" property="err.msgList">
    <error>
      <id><bean:write name="errBean" property="msgId" /></id>
      <logic:iterate id="param" name="errBean" property="params" >
        <param><bean:write name="param" /></param>
      </logic:iterate>
    </error>
  </logic:iterate>

  <approot><bean:write name="calForm" property="presentationState.appRoot"/></approot><%--
        Value: URI - this is the location of the stylesheets and image files.  Use this
        element to build paths to images and stylesheets in your XSLT.
        e.g. <img src="{$appRoot}/images/myimg.gif" width="10" height="10" alt="My Image"/>
        This element is defined prior to build in ../../../../clones/democal.properties
        as pubevents.app.root and personal.app.root. --%>
  <urlprefix><bean:write name="calForm" property="urlPrefix"/></urlprefix><%--
        Value: URI - this is prefix of the calendar application.
        e.g. http://localhost:8080/cal
        Use this value to prefix calls to the application actions in your XSLT.
        e.g. <a href="{$urlPrefix}/eventView.do?eventId=8">View Event</a> --%>
  <confirmationid><bean:write name="calForm" property="confirmationId"/></confirmationid><%--
        Value: String - a 16 character random string used to allow users to confirm
        additions to thier private calendar --%>
  <logic:iterate id="appvar" name="calForm" property="appVars">
    <appvar><%--
        Application variables can be set arbitrarily by the stylesheet designer.
        Use an "appvar" by adding setappvar=key(value) to the query string of
        a URL.  This feature is useful for setting up state during a user's session.
        e.g. <a href="{$urlPrefix}/eventView.do?eventId=8&setappvar=currentTab(event)">View Event</a>
        To change the value of an appvar, call the same key with a different value.
        e.g. <a href="{$urlPrefix}/setup.do?setappvar=currentTab(home)">Return Home</a>
        If appvars exist, they will be output in the following form:  --%>
      <key><bean:write name="appvar" property="key" /></key>
      <value><bean:write name="appvar" property="value" /></value>

      <logic:equal name="appvar" property="key" value="summaryMode"><%--
        This is a special use of the appvar feature.  Normally, we don't return
        all details about events except when we display a single event (to keep the
        XML lighter).  To return all event details in an events listing, append a
        query string with setappvar=summaryMode(details).  Turn the detailed view
        off with setappvar=summaryMode(summary).--%>
        <logic:equal name="appvar" property="value" value="details">
          <bean:define id="detailView" value="true" toScope="request"/><%--
            Send this bean to the request scope so we can test for it on the page
            that builds the calendar tree (main.jsp) --%>
        </logic:equal>
      </logic:equal>
    </appvar>
  </logic:iterate>
<%
} catch (Throwable t) {
  t.printStackTrace();
}
%>

