/*++Grant.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.cap;


/**
 * CAP GRANT property.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	8.14 [CAP/09]
 *   occurs:	VRIGHT (1+)
 *   datatypes:	UPN-FILTER (1)
 *   default:	---
 *   allowed:	---
 *   params:	xparams(0+)
 *</PRE>
 *
 * @author  slh
 * @version  0.00 2002/12/02 slh
 */
public
class  Grant
extends  UPNFilterProp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  /**
   * Create a GRANT property, unset.
   */
  public
  Grant  (		)
  {
    super( Names.strProp_Grant );
  }


  /**
   * Create a GRANT property set to supplied value.
   */
  public
  Grant  (String	strValue	)
  {
    super( Names.strProp_Grant , strValue );
  }

}


/* Log:
 *  0.00  2002/12/02  slh
 *        create
 */
/*--Grant.java--------------------------------------------------------------*/
