/*++VTimeZone.java++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/* Log:
 * see eof
 */


package  edu.washington.cac.calendar.icalendar;


/**
 * ICalendar VTIMEZONE component.
 *
 *<PRE>	<!-- for alignment purposes -->&nbsp;
 * Spec:
 *   section:	4.6.5 [2445]
 *   occurs:	0+
 *   comps:	none
 *   subcomps:	STANDARD (0+), DAYLIGHT (0+)
 *   props:	TZID (1),
 *      	LAST-MODIFIED (0-1), TZURL (0-1),
 *     		x-prop (0+)
 *
 *      	Note: at least one of STANDARD or DAYLIGHT must occur.
 *</PRE>
 *
 * @author slh
 * @version 0.00 2002/11/05 slh
 */
public
class  VTimeZone
extends  UnsupComp
{

/*----------------------------------------------------------------------------
 *						Constructors
 *--------------------------------------------------------------------------*/

  public
  VTimeZone  (		)
  {
    super( Names.strComp_VTimeZone );
  }

}


/* Log:
 *  0.00  2002/11/05  slh
 *        create
 */
/*--VTimeZone.java----------------------------------------------------------*/
